# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

Name:           xdelta
Version:        1.1.4
Release:        0
License:        GPL-2.0+
Summary:        Binary delta generator and RCS replacement library
Url:            http://xdelta.org/
Group:          Platform Development/Tools
Source:         %{name}-%{version}.tar.gz
Source1001: 	xdelta.manifest
BuildRequires:  coreutils
BuildRequires:  glibc-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(zlib)

%description
Xdelta is a binary delta generator and RCS replacement library. The
delta algorithm is faster than GNU diff for text files and works on
binary files, too.

%package devel
License:        GPL-2.0+
Summary:        Binary delta generator and RCS replacement library
Group:          Development/Libraries
Requires:       %{name} = %{version}
Requires:       pkgconfig(glib-2.0)

%description devel
Xdelta is a binary delta generator and RCS replacement library. The
delta algorithm is faster than GNU diff for text files and works on
binary files, too.

%prep
%setup -q
cp %{SOURCE1001} .
chmod -x AUTHORS COPYING INSTALL Makefile.am NEWS README *.c *.h *.in xd* */*

%build
export CFLAGS="%{optflags} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
%reconfigure --disable-static
make

%install
%make_install


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%manifest %{name}.manifest
%defattr(-, root, root)
%license COPYING
%{_bindir}/xdelta
%{_mandir}/man1/xdelta.*
%{_libdir}/lib*.so.*

%files devel
%manifest %{name}.manifest
%defattr(-, root, root)
%{_includedir}/*
%{_bindir}/xdelta-config
%{_libdir}/*.so
%{_datadir}/aclocal/xdelta.m4

%changelog
